Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoSegmentCrossover< EOT > Class Template Reference

eoSegmentCrossover --> uniform choice in segment == arithmetical with same value along all coordinates More...

`#include <Tutorial/eoRealOp.h>`

Inheritance diagram for eoSegmentCrossover< EOT >:

List of all members.

## Public Member Functions
| eoSegmentCrossover (const double &_alpha=0.0)
| (Default) Constructor.
| eoSegmentCrossover (eoRealVectorBounds &_bounds, const double &_alpha=0.0)
| Constructor with bounds.
virtual std::string | className () const
| The class name.
bool | operator() (EOT &_eo1, EOT &_eo2)
| segment crossover - modifies both parents
## Protected Attributes
eoRealVectorBounds & | bounds
double | alpha
double | range

## Detailed Description

### template<class EOT>
class eoSegmentCrossover< EOT >

eoSegmentCrossover --> uniform choice in segment == arithmetical with same value along all coordinates

Definition at line 247 of file eoRealOp.h.

## Constructor & Destructor Documentation

template<class EOT>
eoSegmentCrossover< EOT >::eoSegmentCrossover | ( | const double & | _alpha = `0.0` | ) | `[inline]`

  | (Default) Constructor. The bounds are initialized with the global object that says: no bounds. Parameters:
  | _alphaMin | the amount of exploration OUTSIDE the parents as in BLX-alpha notation (Eshelman and Schaffer) 0 == contractive application Must be positive
Definition at line 259 of file eoRealOp.h.

template<class EOT>
eoSegmentCrossover< EOT >::eoSegmentCrossover | ( | eoRealVectorBounds & | _bounds,
|  | const double & | _alpha = `0.0`
| ) | `[inline]`

  | Constructor with bounds. Parameters:
  | _bounds | an eoRealVectorBounds that contains the bounds
  | _alphaMin | the amount of exploration OUTSIDE the parents as in BLX-alpha notation (Eshelman and Schaffer) 0 == contractive application Must be positive
Definition at line 270 of file eoRealOp.h.

## Member Function Documentation

template<class EOT>
bool eoSegmentCrossover< EOT >::operator() | ( | EOT & | _eo1,
|  | EOT & | _eo2
| ) | `[inline, virtual]`

  | segment crossover - modifies both parents Parameters:
  | _eo1 | The first parent
  | _eo2 | The first parent
Implements eoBF< EOT &, EOT &, bool >. Definition at line 282 of file eoRealOp.h. References eoRealBaseVectorBounds::isMaxBounded(), eoRealBaseVectorBounds::isMinBounded(), eoRealBaseVectorBounds::maximum(), eoRealBaseVectorBounds::minimum(), and eoRng::uniform().

The documentation for this class was generated from the following file:

- eoRealOp.h